Openstack spawn failure can cause Foreman to lock thread(s) permanently
Status: New   

Priority: Normal   

Assignee:    
Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If spawning on an openstack compute resource fails, Foreman will consume the thread it was utilizing at the time of failure and never

release it. The expected behavior is that the orchestration stack would roll back the creation process and things would carry on as

usual.

History

#1 - 08/05/2013 02:41 PM - Ohad Levy

the timeout is 5 minutes, maybe you didnt wait that long?

#2 - 08/05/2013 02:48 PM - Sam Kottler

The tab was open for quite a while. This is a bug anyhow since the connect was initialized, the instance was created, failed to get created, and then

foreman never noticed.

#3 - 08/05/2013 02:54 PM - Ohad Levy

can you try again, my past experience is that it get rolled back after 5 minutes...

#4 - 08/05/2013 02:57 PM - Sam Kottler

Yep, sure. My openstack instance is working nicely now, but I'll break it later today to reproduce this problem ;-)

#5 - 09/16/2013 12:13 PM - Lukas Zapletal

- Target version deleted (1.3.0)

#6 - 07/17/2014 06:28 AM - Stephen Benjamin

I see this problem still.  OpenStack was in a bad state (all instances immediately went to Error state), and Foreman never recovered.

#7 - 09/26/2014 07:10 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - OpenStack
